# Exports

## Client-side:

```lua
-- AddWaypoint: Adds a waypoint to the player's view (client)  

local index = AddWaypoint(label, coords, {
    icon = "WAYPOINT_URL", -- or "default" to use internal icon for color support.
    color = {255, 255, 255, 255}, -- rgba value, used for internal icon and marker.
    clearEnter = true, -- Upon entering the area, remove the waypoint.
    blipId = 1, -- Display waypoint on map, or set to nil to disable.
    blipColor = 0, -- Blip color on the map.
})

-- RemoveWaypoint: Removes a waypoint from the player's view (client)

RemoveWaypoint(index)

-- GetWaypoint: Gets the updated information regarding the waypoint passed in index.

local waypointData = GetWaypoint(index)

-- UpdateWaypointCoords: Update the location of the waypoint.

UpdateWaypointCoords(index, vector3(100.0, 20.0, 30.0))

-- UpdateWaypointSettings: Update the waypoint's settings.

UpdateWaypointSettings(index, {
    icon = "WAYPOINT_URL", -- or "default" to use internal icon for color support.
    color = {255, 255, 255, 255}, -- rgba value, used for internal icon and marker.
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picklemods.com/free-resources/waypoints/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
